GET /v1/terminal/readers
Operation ID: GetTerminalReaders
Auth: unknown
Description
<p>Returns a list of <code>Reader</code> objects.</p>
Parameters (7)
(string, query, optional)
Filters readers by device type
Constraints: {'enum': ['bbpos_chipper2x', 'bbpos_wisepad3', 'bbpos_wisepos_e', 'simulated_wisepos_e', 'stripe_m2', 'verifone_P400']}
(string, query, optional)
A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.
Constraints: {'maxLength': 5000}
(array, query, optional)
Specifies which fields in the response should be expanded.
(integer, query, optional)
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
(string, query, optional)
A location ID to filter the response list to only readers at the specific location
Constraints: {'maxLength': 5000}
(string, query, optional)
A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.
Constraints: {'maxLength': 5000}
(string, query, optional)
A status filter to filter readers to only offline or online readers
Constraints: {'enum': ['offline', 'online']}
No probe data for this endpoint yet.